Subject: Re: [2.6.18-rc2][e1000][swsusp] - Regression - Suspend to disk and resume breaks e1000 - RESOLVED Bug #6867

From: Auke Kok <[email-masked]>
Date: Wed, 02 Aug 2006 08:06:08 -0700

Shawn Starr wrote:
> On Sunday 16 July 2006 12:33 pm, Auke Kok wrote:
>> [adding netdev to the cc]
>>
>> unfortunately I didn't.
>>
>> e1000 has a special e1000_pci_save_state/e1000_pci_restore_state set of
>> routines that save and restore the configuration space. the fact that it
>> works for suspend to memory to me suggests that there is nothing wrong with
>> that.

> Hi Auke,
> 
> It appears 2.6.18-rc3 this does not occur anymore. I suspended to disk/ram and 
> the interface pci registers were restored. Bugzilla #6867

I would not be surprised if all the suspend issues in 2.6.18rcX were not 
involved in this somehow... thanks for reporting back in.

Auke